Unit GSN2R_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, SF51R_p;

function GSN2R(var ISEED :Integer): Real; 
implementation

function GSN2R(var ISEED :Integer): Real;
var
IERR :Integer;
R :Real;
Z :Extended;
const
D2P31M :Extended = 2147483647.0e0;
D2PN31 :Extended = 4.656612873077393e-10;
D2P32M :Real = 1.6807E04;
begin
Z := (ISEED);
Z := Emod(D2P32M*Z,D2P31M);
ISEED := Trunc( Z );
R := Z*D2PN31;
Result := SF51R(R,IERR);
end;

end.
